PDA

View Full Version : fedora yum package is not signed



3nforcer
6th March 2010, 12:35 PM
Hi, there

Introduction:
I got a hp pavillion dv7 3015eg Laptop
2.6.34-0.4.rc0.git2.fc14.x86_64

Why i need fc14 and Kernel 34:
Its only a test, because some of my Hardware isn't fully or now supported:
- Sound (only oss with quiet and swooshing sound) and i can't use my Headset
- Remote Control, doesn't get detected on my laptop
- Remote Interface on the screen, doesn't work correctly yet
- The KDE Interface got some graphic bugs, seems to be fixed in fc14
- Same with the cpu and gpu, seems to work better with the new fc

What do i want?
i try to use yum for installing knet* also the interface to setup my wlan or i only use yum update or alsa-* to get the libs and utils

What problem does i have:
my problem is an unsigned rpm package
Package knetworkmanager-libs-0.9-0.12.20100220.fc14.x86_64.rpm is not signed

What i have tried?
--nogpgcheck will bring an error:
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID e8e40fde: NOKEY
GPG key retrieval failed: [Errno 14] Could not open/read file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64
-t and --skip-brocken doesn't affect
gpg --quiet --with-fingerprint /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-13
gpg --gen-key

To see what happens if i use yum update:
http://my.despe.de/np/index.php?id=c589d20007&view=nl

So i hope someone can help me, if it isn't getting better, i have to reinstall fc12, but im supprised that an rc0 can work so fine and doesn't make any problems.

Offtopic: my Main problem now is to get wlan working:

[root@localhost 3nforcer]# service network restart
Shutting down interface eth0: ./ifdown: line 44: [: missing `]'
[ OK ]
Shutting down interface wlan0: Error org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
./ifdown: line 44: [: missing `]'
[ OK ]
Shutting down loopback interface: ./ifdown: line 44: [: missing `]'
[ OK ]
Bringing up loopback interface: [ OK ]
Bringing up interface eth0:
Determining IP information for eth0... done.
[ OK ]
Bringing up interface wlan0: Error for wireless request "Set Mode" (8B06) :
SET failed on device wlan0 ; Invalid argument.

Determining IP information for wlan0... failed; no link present. Check cable?
[FAILED]

leigh123linux
6th March 2010, 12:58 PM
Post


rpm -q fedora-release

3nforcer
6th March 2010, 12:59 PM
[root@localhost 3nforcer]# rpm -q fedora-release
fedora-release-14-0.4.noarch

leigh123linux
6th March 2010, 01:02 PM
Try installing both release rpm's again.

http://koji.fedoraproject.org/koji/buildinfo?buildID=159713

3nforcer
6th March 2010, 01:10 PM
How do i that?
I used to:

[root@localhost Downloads]# rpm -i fedora-release-14-0.4.noarch.rpm fedora-release-rawhide-14-0.4.noarch.rpm --replacepkgs --force
[root@localhost Downloads]#
but it doesn't do anything :(

leigh123linux
6th March 2010, 01:15 PM
How do i that?
I used to:

but it doesn't do anything :(

Try



rpm -Uvh fedora-release-14-0.4.noarch.rpm fedora-release-rawhide-14-0.4.noarch.rpm --force

3nforcer
6th March 2010, 03:02 PM
[root@localhost Downloads]# rpm -Uvh fedora-release-14-0.4.noarch.rpm fedora-release-rawhide-14-0.4.noarch.rpm --force
Preparing... ########################################### [100%]
1:fedora-release-rawhide ########################################### [ 50%]
2:fedora-release ########################################### [100%]

it did something, but it doesn't affekted the problem.
I upgraded my fedory using package kit and yum update
i needed 1,6 GB and 1288 Updates

i hope that information could help

---------- Post added at 06:02 AM CST ---------- Previous post was at 04:29 AM CST ----------

Here some new information:

--nogpgcheck works on some install or update packages, but not on all install knet* and update doesn't work. You should take a look on your own:
http://my.despe.de/np/index.php?id=2d08c06825&view=nl

leigh123linux
6th March 2010, 03:20 PM
[root@localhost Downloads]# rpm -Uvh fedora-release-14-0.4.noarch.rpm fedora-release-rawhide-14-0.4.noarch.rpm --force
Preparing... ########################################### [100%]
1:fedora-release-rawhide ########################################### [ 50%]
2:fedora-release ########################################### [100%]it did something, but it doesn't affekted the problem.
I upgraded my fedory using package kit and yum update
i needed 1,6 GB and 1288 Updates

i hope that information could help

---------- Post added at 06:02 AM CST ---------- Previous post was at 04:29 AM CST ----------

Here some new information:

--nogpgcheck works on some install or update packages, but not on all install knet* and update doesn't work. You should take a look on your own:
http://my.despe.de/np/index.php?id=2d08c06825&view=nl


Do you need the debug repos active?




[root@localhost leigh]# yum install knet* --exclude=knetstats
Loaded plugins: auto-update-debuginfo, fastestmirror, presto, refresh-packagekit, remove-with-leaves, show-leaves
Loading mirror speeds from cached hostfile
* rawhide: fr2.rpmfind.net
* rpmfusion-free-rawhide: fr2.rpmfind.net
* rpmfusion-nonfree-rawhide: fr2.rpmfind.net
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package knetworkmanager.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
---> Package knetworkmanager-libs.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
---> Package knetworkmanager-openvpn.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
---> Package knetworkmanager-vpnc.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ===============
Package Arch Version Repository Size
================================================== ================================================== ===============
Installing:
knetworkmanager x86_64 1:0.9-0.12.20100220.fc14 rawhide 319 k
knetworkmanager-libs x86_64 1:0.9-0.12.20100220.fc14 rawhide 533 k
knetworkmanager-openvpn x86_64 1:0.9-0.12.20100220.fc14 rawhide 32 k
knetworkmanager-vpnc x86_64 1:0.9-0.12.20100220.fc14 rawhide 24 k

Transaction Summary
================================================== ================================================== ===============
Install 4 Package(s)
Upgrade 0 Package(s)

Total download size: 908 k
Installed size: 3.5 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 908 k
(1/4): knetworkmanager-0.9-0.12.20100220.fc14.x86_64.rpm | 319 kB 00:00
(2/4): knetworkmanager-libs-0.9-0.12.20100220.fc14.x86_64.rpm | 533 kB 00:00
(3/4): knetworkmanager-openvpn-0.9-0.12.20100220.fc14.x86_64.rpm | 32 kB 00:00
(4/4): knetworkmanager-vpnc-0.9-0.12.20100220.fc14.x86_64.rpm | 24 kB 00:00
-------------------------------------------------------------------------------------------------------------------
Total 514 kB/s | 908 kB 00:01
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
Installing : 1:knetworkmanager-0.9-0.12.20100220.fc14.x86_64 1/4
Installing : 1:knetworkmanager-libs-0.9-0.12.20100220.fc14.x86_64 2/4
Installing : 1:knetworkmanager-openvpn-0.9-0.12.20100220.fc14.x86_64 3/4
Installing : 1:knetworkmanager-vpnc-0.9-0.12.20100220.fc14.x86_64 4/4

Installed:
knetworkmanager.x86_64 1:0.9-0.12.20100220.fc14 knetworkmanager-libs.x86_64 1:0.9-0.12.20100220.fc14
knetworkmanager-openvpn.x86_64 1:0.9-0.12.20100220.fc14 knetworkmanager-vpnc.x86_64 1:0.9-0.12.20100220.fc14

Complete!
New leaves:
knetworkmanager-openvpn.x86_64
knetworkmanager-vpnc.x86_64
[root@localhost leigh]#


I refuse to have any kde3 or qt3 packages on my install :(


--exclude=knetstats




[root@localhost leigh]# yum repolist
Loaded plugins: auto-update-debuginfo, fastestmirror, presto, refresh-packagekit, remove-with-leaves, show-leaves
Loading mirror speeds from cached hostfile
* rawhide: fr2.rpmfind.net
* rpmfusion-free-rawhide: fr2.rpmfind.net
* rpmfusion-nonfree-rawhide: fr2.rpmfind.net
repo id repo name status
flash flash 1
rawhide Fedora - Rawhide - Developmental packages for the next Fedora release 20,383+19
rpmfusion-free-rawhide RPM Fusion for Fedora Rawhide - Free 473
rpmfusion-nonfree-rawhide RPM Fusion for Fedora Rawhide - Nonfree 178
repolist: 21,035
[root@localhost leigh]#

3nforcer
6th March 2010, 03:31 PM
//edit
your idea doesn't work at all :/

--noplugins --nogpgcheck only works fine in combination


[root@localhost 3nforcer]# yum install knetwork* --nogpgcheck --noplugins
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package knetworkmanager.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
---> Package knetworkmanager-libs.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
---> Package knetworkmanager-openvpn.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
--> Processing Dependency: NetworkManager-openvpn for package: 1:knetworkmanager-openvpn-0.9-0.12.20100220.fc14.x86_64
---> Package knetworkmanager-vpnc.x86_64 1:0.9-0.12.20100220.fc14 set to be updated
--> Processing Dependency: NetworkManager-vpnc for package: 1:knetworkmanager-vpnc-0.9-0.12.20100220.fc14.x86_64
--> Running transaction check
---> Package NetworkManager-openvpn.x86_64 1:0.8-1.fc14 set to be updated
--> Processing Dependency: openvpn >= 2.1 for package: 1:NetworkManager-openvpn-0.8-1.fc14.x86_64
---> Package NetworkManager-vpnc.x86_64 1:0.7.997-1.fc13 set to be updated
--> Processing Dependency: vpnc >= 0.5 for package: 1:NetworkManager-vpnc-0.7.997-1.fc13.x86_64
--> Running transaction check
---> Package openvpn.x86_64 0:2.1.1-2.fc13 set to be updated
--> Processing Dependency: liblzo2.so.2()(64bit) for package: openvpn-2.1.1-2.fc13.x86_64
--> Processing Dependency: libpkcs11-helper.so.1()(64bit) for package: openvpn-2.1.1-2.fc13.x86_64
---> Package vpnc.x86_64 0:0.5.3-7.fc13 set to be updated
--> Processing Dependency: vpnc-script for package: vpnc-0.5.3-7.fc13.x86_64
--> Running transaction check
---> Package lzo.x86_64 0:2.03-3.fc12 set to be updated
---> Package pkcs11-helper.x86_64 0:1.07-4.fc12 set to be updated
---> Package vpnc-script.noarch 0:0.5.3-7.fc13 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ================================================== ===============================================
.....//edited becuse to large
================================================== ================================================== ================================================== ===============================================
Install 11 Package(s)
Upgrade 0 Package(s)

Total size: 1.7 M
Installed size: 5.6 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : 1:knetworkmanager-0.9-0.12.20100220.fc14.x86_64 1/11
Installing : 1:knetworkmanager-libs-0.9-0.12.20100220.fc14.x86_64 2/11
Installing : lzo-2.03-3.fc12.x86_64 3/11
Installing : pkcs11-helper-1.07-4.fc12.x86_64 4/11
Installing : openvpn-2.1.1-2.fc13.x86_64 5/11
Installing : 1:NetworkManager-openvpn-0.8-1.fc14.x86_64 6/11
Could not parse file '/usr/share/applications/openoffice.org3-startcenter.desktop': No such file or directory
Installing : vpnc-script-0.5.3-7.fc13.noarch 7/11
Installing : vpnc-0.5.3-7.fc13.x86_64 8/11
Installing : 1:NetworkManager-vpnc-0.7.997-1.fc13.x86_64 9/11
Installing : 1:knetworkmanager-vpnc-0.9-0.12.20100220.fc14.x86_64 10/11
Installing : 1:knetworkmanager-openvpn-0.9-0.12.20100220.fc14.x86_64 11/11

Installed:
knetworkmanager.x86_64 1:0.9-0.12.20100220.fc14 knetworkmanager-libs.x86_64 1:0.9-0.12.20100220.fc14 knetworkmanager-openvpn.x86_64 1:0.9-0.12.20100220.fc14
knetworkmanager-vpnc.x86_64 1:0.9-0.12.20100220.fc14

Dependency Installed:
NetworkManager-openvpn.x86_64 1:0.8-1.fc14 NetworkManager-vpnc.x86_64 1:0.7.997-1.fc13 lzo.x86_64 0:2.03-3.fc12 openvpn.x86_64 0:2.1.1-2.fc13 pkcs11-helper.x86_64 0:1.07-4.fc12
vpnc.x86_64 0:0.5.3-7.fc13 vpnc-script.noarch 0:0.5.3-7.fc13

Complete!
[root@localhost 3nforcer]# yum install knetwork*
Loaded plugins: auto-update-debuginfo, presto, refresh-packagekit
Found 80 installed debuginfo package(s)
Enabling updates-testing-debuginfo: Fedora 14 - x86_64 - Test Updates Debug
Reading repository metadata in from local files
Enabling fedora-debuginfo: Fedora 14 - x86_64 - Debug
Reading repository metadata in from local files
Enabling updates-debuginfo: Fedora 14 - x86_64 - Updates - Debug
Reading repository metadata in from local files
Setting up Install Process
Package 1:knetworkmanager-libs-0.9-0.12.20100220.fc14.x86_64 already installed and latest version
Package 1:knetworkmanager-vpnc-0.9-0.12.20100220.fc14.x86_64 already installed and latest version
Package 1:knetworkmanager-openvpn-0.9-0.12.20100220.fc14.x86_64 already installed and latest version
Package 1:knetworkmanager-0.9-0.12.20100220.fc14.x86_64 already installed and latest version
Nothing to do



[root@localhost 3nforcer]# knetworkmanager
knetworkmanager(8822): KUniqueApplication: Cannot find the D-Bus session server: "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."

knetworkmanager(8820): KUniqueApplication: Pipe closed unexpectedly.


[root@localhost 3nforcer]# yum repolist
Loaded plugins: auto-update-debuginfo, presto, refresh-packagekit
Found 80 installed debuginfo package(s)
Enabling updates-testing-debuginfo: Fedora 14 - x86_64 - Test Updates Debug
Reading repository metadata in from local files
Enabling fedora-debuginfo: Fedora 14 - x86_64 - Debug
Reading repository metadata in from local files
Enabling updates-debuginfo: Fedora 14 - x86_64 - Updates - Debug
Reading repository metadata in from local files
repo id repo name status
adobe-linux-i386 Adobe Systems Incorporated 17
fedora Fedora 14 - x86_64 20,402
*fedora-debuginfo Fedora 14 - x86_64 - Debug 5,071
updates Fedora 14 - x86_64 - Updates 20,402
updates-debuginfo Fedora 14 - x86_64 - Updates - Debug 5,073
updates-testing Fedora 14 - x86_64 - Test Updates 20,402
updates-testing-debuginfo Fedora 14 - x86_64 - Test Updates Debug 5,073
repolist: 76,440



//original post
i can install my files without problem now, i only used:
--noplugins --nogpgcheck

I don't know what exactly this parameter does, but it works, yum will automatically skip my problem, if i use the normal yum update, there are 4 packages of 101 left, so its not the solution or a clean workaround, but i think its a way to get behind the problem.

I hope someone can find the relation why it skips the problem files, there is the log what happens in my terminal
http://my.despe.de/np/index.php?id=77683a48de&view=nl

thx, for helping and reading